play.db.evolutions

## Class EvolutionQuery

- java.lang.Object
- - play.db.evolutions.EvolutionQuery

    public class EvolutionQuery
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`EvolutionQuery()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `alterForModuleSupport(java.lang.String dbName, java.sql.Connection connection)`
`static void` `apply(java.sql.Connection connection, boolean runScript, Evolution evolution, java.lang.String moduleKey)`
`static void` `closeConnection(java.sql.Connection connection)`
`static void` `closeResultSet(java.sql.ResultSet resultSet)`
`static void` `closeStatement(java.sql.Statement statement)`
`static void` `createTable(java.lang.String dbName)`
`static javax.sql.RowSet` `getEvolutions(java.sql.Connection connection, java.lang.String moduleKey)`
`static javax.sql.RowSet` `getEvolutionsToApply(java.sql.Connection connection, java.lang.String moduleKey)`
`static java.sql.Connection` `getNewConnection()`
`static java.sql.Connection` `getNewConnection(java.lang.String dbName)`
`static java.sql.Connection` `getNewConnection(java.lang.String dbName, boolean autoCommit)`
`static void` `resolve(java.lang.String dbName, int revision, java.lang.String moduleKey)`
`static void` `setProblem(java.sql.Connection connection, int applying, java.lang.String moduleKey, java.lang.String message)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvolutionQuery

    public EvolutionQuery()

### Method Detail

#### createTable

    public static void createTable(java.lang.String dbName)
                            throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### alterForModuleSupport

    public static void alterForModuleSupport(java.lang.String dbName,
                                             java.sql.Connection connection)
                                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### resolve

    public static void resolve(java.lang.String dbName,
                               int revision,
                               java.lang.String moduleKey)
                        throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### apply

    public static void apply(java.sql.Connection connection,
                             boolean runScript,
                             Evolution evolution,
                             java.lang.String moduleKey)
                      throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### setProblem

    public static void setProblem(java.sql.Connection connection,
                                  int applying,
                                  java.lang.String moduleKey,
                                  java.lang.String message)
                           throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getEvolutionsToApply

    public static javax.sql.RowSet getEvolutionsToApply(java.sql.Connection connection,
                                                        java.lang.String moduleKey)
                                                 throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getEvolutions

    public static javax.sql.RowSet getEvolutions(java.sql.Connection connection,
                                                 java.lang.String moduleKey)
                                          throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNewConnection

    public static java.sql.Connection getNewConnection()
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNewConnection

    public static java.sql.Connection getNewConnection(java.lang.String dbName)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### getNewConnection

    public static java.sql.Connection getNewConnection(java.lang.String dbName,
                                                       boolean autoCommit)
                                                throws java.sql.SQLException

Throws:
  `java.sql.SQLException`

#### closeResultSet

    public static void closeResultSet(java.sql.ResultSet resultSet)

#### closeStatement

    public static void closeStatement(java.sql.Statement statement)

#### closeConnection

    public static void closeConnection(java.sql.Connection connection)